PharData::addFile
PharData::buildFromDirectory
PharData
PHP Manual

# PharData::addFromString

(No version information available, might be only in CVS)

PharData::addFromString — Add a file from the filesystem to the tar/zip archive

### Description

bool PharData::addFromString ( string `$localname` , string `$contents` )

With this method, any string can be added to the tar/zip archive. The file will be stored in the archive with localname as its path. This method is similar to ZipArchive::addFromString().

### Parameters

`localname`

  Path that the file will be stored in the archive.

`contents`

  The file contents to store

### Return Values

no return value, exception is thrown on failure.

### Examples

Example #1 A PharData::addFromString() example

`<?php
try {
$a = new PharData('/path/to/my.tar');
$a->addFromString('path/to/file.txt', 'my simple file');
$b = $a['path/to/file.txt']->getContent();
// to add contents from a stream handle for large files, use offsetSet()
$c = fopen('/path/to/hugefile.bin');
$a['largefile.bin'] = $c;
fclose($c);
} catch (Exception $e) {
// handle errors here
}
?>`

### See Also

- PharData::offsetSet()
- Phar::addFromString()
- PharData::addFile()
- PharData::addEmptyDir()

PharData::addFile
PharData::buildFromDirectory
PharData
PHP Manual